Bug 962528 - SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory /var/tmp.
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the director...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e8fd2a290593edb521d6c082df5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 15:04 EDT by Juan R. Migoya
Modified: 2013-07-04 05:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 05:13:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juan R. Migoya 2013-05-13 15:04:38 EDT
Description of problem:
SELinux is preventing /usr/bin/python2.7 from 'read' accesses on the directory /var/tmp.

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, python2.7 debería permitir acceso read sobre  tmp directory.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep system-config-s /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:sambagui_t:s0-s0:c0.c1023
Target Context                system_u:object_r:tmp_t:s0
Target Objects                /var/tmp [ dir ]
Source                        system-config-s
Source Path                   /usr/bin/python2.7
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           python-2.7.3-7.2.fc17.x86_64
Target RPM Packages           filesystem-3-2.fc17.x86_64
Policy RPM                    selinux-policy-3.10.0-156.fc17.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.6.3-1.fc17.x86_64 #1 SMP Mon Oct
                              22 15:32:35 UTC 2012 x86_64 x86_64
Alert Count                   1
First Seen                    2012-11-04 19:44:18 CET
Last Seen                     2012-11-04 19:44:18 CET
Local ID                      605843c1-2058-4844-a522-c147c3b7588a

Raw Audit Messages
type=AVC msg=audit(1352054658.330:145): avc:  denied  { read } for  pid=14544 comm="system-config-s" name="tmp" dev="dm-1" ino=3014715 scontext=system_u:system_r:sambagui_t:s0-s0:c0.c1023 tcontext=system_u:object_r:tmp_t:s0 tclass=dir


type=SYSCALL msg=audit(1352054658.330:145): arch=x86_64 syscall=open success=no exit=EACCES a0=39c6442603 a1=0 a2=1b6 a3=238 items=0 ppid=14543 pid=14544 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=system-config-s exe=/usr/bin/python2.7 subj=system_u:system_r:sambagui_t:s0-s0:c0.c1023 key=(null)

Hash: system-config-s,sambagui_t,tmp_t,dir,read

audit2allow

#============= sambagui_t ==============
allow sambagui_t tmp_t:dir read;

audit2allow -R

#============= sambagui_t ==============
allow sambagui_t tmp_t:dir read;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.11-100.fc17.x86_64
type:           libreport

Potential duplicate: bug 864218
Comment 1 Miroslav Grepl 2013-05-14 02:19:37 EDT
Any chance you are getting more AVC msgs if you execute

# semanage permissive -a sambagui_

and re-test it?
Comment 2 Fedora End Of Life 2013-07-03 20:57:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.